local inventoryGui = {}

local w,h = love.graphics.getDimensions()

local item = require "src.item"

local inv

local invW 
local invH

local itemDrawW
local itemDrawH



   scope= {}
   scope.img = love.graphics.newImage("img/scope.png") 

   shim = {}
   shim.x= 25
   shim.y = 400
   shim.bool = false


  InventorySlots = {}
  InventorySlots.posX=120
  InventorySlots.posY=590

function inventoryGui:setInventory(inventory,iconW,iconH)
  inv = inventory
  invW = #inv.arr[1] 
  invH = #inv.arr 
  itemDrawW = iconW 
  itemDrawH = iconH 
 
end




----------------------MOUSE SET-UP-ALL GLOBAL---------------------------------
love.mouse.setVisible(false)

local mx,my = love.mouse.getPosition()

local mouseOn = {is=false,x=1,y=1}

local selected = {is=false,x=1,y=1}

local infoBox = {w=200,h=200}
-----------------------------------------------------------







function inventoryGui:update()
  mx,my = love.mouse.getPosition()
  mouseOn.is = false
  for y=1,invH do
    for x=1,invW do
      local drawX = (x-1)*itemDrawW + InventorySlots.posX
      local drawY = (y-1)*itemDrawH + InventorySlots.posY
      local mouseIsOn = mx > drawX and mx <= drawX+itemDrawW and my > drawY and my <= drawY+itemDrawH
      if mouseIsOn then 
        mouseOn.is = true
        mouseOn.x,mouseOn.y = x,y
      end
    end
  end
end

function inventoryGui:mousepressed(x,y,b)
  if b == 1 then
    if mouseOn.is then
      if not selected.is then
        if inv.arr[mouseOn.y][mouseOn.x] ~= 0 then
          selected.is = true
          selected.x = mouseOn.x
          selected.y = mouseOn.y
        end
      else
        inv:replace(selected.x,selected.y,mouseOn.x,mouseOn.y)
        selected.is = false
      end
    end
  end
end











love.graphics.setLineWidth(2)--line width around boxes!!!
love.graphics.setNewFont(15)
  


function inventoryGui:draw()




  for y=1,invH   do
    for x=1,invW  do
      
      


      local drawX = (x-1)*itemDrawW 
      local drawY = (y-1)*itemDrawH 




      local mouseOnThis = mouseOn.is and mouseOn.x == x and mouseOn.y == y
      if mouseOnThis then
        love.graphics.setColor(0,45,236)--green inside box color when mouseover
      else
        love.graphics.setColor(255,0,128)--purple -color of the inventory box with no  mouseover
      end




      love.graphics.rectangle("fill",drawX+InventorySlots.posX,drawY+InventorySlots.posY,itemDrawW,itemDrawH)--inside of box w and h
      love.graphics.setColor(0,0,0)--color of line around box
      love.graphics.rectangle("line",drawX+InventorySlots.posX,drawY+InventorySlots.posY,itemDrawW,itemDrawH)--line width of box
      love.graphics.setColor(255,255,255)


      
    end
  end
  for y=1,invH do
    for x=1,invW do


     
      local drawX = (x-1)*itemDrawW 
      local drawY = (y-1)*itemDrawH 
      local mouseOnThis = mouseOn.is and mouseOn.x == x and mouseOn.y == y
      local item = inv.arr[y][x]
      if selected.is and selected.x == x and selected.y == y then
        love.graphics.setColor(36,255,101,100)
        love.graphics.draw(item.img,drawX+InventorySlots.posX,drawY+InventorySlots.posY)

        --draws image again under top image but makes it black like a shadow!!!
        --love.graphics.setColor(0,0,0,30)
        --love.graphics.draw(item.img,mx,my)
        ------------------------------------------
 
      elseif item ~= 0 then 
       love.graphics.setColor(255,255,255)--make sure you can see by making white(stump me for 2 days!!!!
       love.graphics.draw(item.img,drawX+InventorySlots.posX,drawY+InventorySlots.posY)  

      

    




      --below makes description box-------------------------------------------------
      if mouseOn.is and item ~= 0 and mouseOn.x == x and mouseOn.y == y then
        --love.graphics.setColor(255,255,255)
        --love.graphics.rectangle("fill",itemDrawW*invW+10,0,infoBox.w,infoBox.h)
        --love.graphics.setColor(0,0,0)
        --love.graphics.printf(item.name .. "\n" .. item.desc,itemDrawW*invW+15,0,infoBox.w-5)
      end
    ---------------------------------------------------------------------------------


    


    end
  end
  if selected.is then--if the card is in your hand!!!!(mouse)
    love.graphics.setColor(255,255,255)
    love.graphics.draw(inv.arr[selected.y][selected.x].img,mx,my)--draw card in hand
    love.graphics.print("Throw card at door---Orginize your inventory or Trash it!!!",200,510)


      
    -- Thank YOU :) !!!!!
    ---Im trying to remove the card I have in my hand(mouse)
    ---right now there is 2 card objects!!!
    ---once I know I can remove card I want to be able delete cards..I can add them
    ---I juts need to know how to delete them
    ---I hope to  be able to pick up card and throw at playfield or throw at bottom of screen to delete!!
     --every card has a "Delete" function or "Use" function!!!! I can use card or delete card or move it around inventory!
       itm.DeleteCard()


  end--end of selected.is


 

end


  

  

end




return inventoryGui








